    /*
     *  call-seq:
     *     FuzzyQuery.default_min_similarity = min_sim -> min_sim
     *
     *  Set the default value for +:min_similarity+
     */
    static VALUE
    frt_fq_set_dms(VALUE self, VALUE val)
    {
        double min_sim = NUM2DBL(val);
        if (min_sim >= 1.0) {
            rb_raise(rb_eArgError,
                     "%f >= 1.0. :min_similarity must be < 1.0", min_sim);
        } else if (min_sim < 0.0) {
            rb_raise(rb_eArgError,
                     "%f < 0.0. :min_similarity must be > 0.0", min_sim);
        }
        qp_default_fuzzy_min_sim = (float)min_sim;
        rb_cvar_set(cFuzzyQuery, id_default_min_similarity, val, Qfalse);
        return val;
    }